petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGMRES

Implements the Generalized Minimal Residual method. (Saad and Schultz, 1986) with restart

### Options Database Keys

| -ksp_gmres_restart <restart> | - the number of Krylov directions to orthogonalize against Many br
| -ksp_gmres_haptol <tol> | - sets the tolerance for "happy ending" (exact convergence) Many br
| -ksp_gmres_preallocate | - preallocate all the Krylov search directions initially (otherwise groups of Many brvectors are allocated as needed) Many br
| -ksp_gmres_classicalgramschmidt | - use classical (unmodified) Gram-Schmidt to orthogonalize against the Krylov space (fast) (the default) Many br
| -ksp_gmres_modifiedgramschmidt | - use modified Gram-Schmidt in the orthogonalization (more stable, but slower) Many br
| -ksp_gmres_cgs_refinement_type <never,ifneeded,always> | - determine if iterative refinement is used to increase the Many brstability of the classical Gram-Schmidt orthogonalization. Many br
| -ksp_gmres_krylov_monitor | - plot the Krylov space generated Many br

Many br

Notes: Left and right preconditioning are supported, but not symmetric preconditioning. Many br

### References

1. -YOUCEF SAAD AND MARTIN H. SCHULTZ, GMRES: A GENERALIZED MINIMAL RESIDUAL ALGORITHM FOR SOLVING NONSYMMETRIC LINEAR SYSTEMS. Many brSIAM J. ScI. STAT. COMPUT. Vo|. 7, No. 3, July 1986. Many br

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP, KSPFGMRES, KSPLGMRES,
KSPGMRESSetRestart(), KSPGMRESSetHapTol(), KSPGMRESSetPreAllocateVectors(), KSPGMRESSetOrthogonalization(), KSPGMRESGetOrthogonalization(), Many brKSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESModifiedGramSchmidtOrthogonalization(), Many brKSPGMRESCGSRefinementType, KSPGMRESSetCGSRefinementType(), KSPGMRESGetCGSRefinementType(), KSPGMRESMonitorKrylov(), KSPSetPCSide() Many br

Level:beginner
Location:src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex62.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html